<!DOCTYPE html>
<html lang="en" xmlns:th="http://thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" th:href="@{/css/sidebar.css}">
    <link rel="stylesheet" th:href="@{/css/form-create-akun-inv-guest-style.css}">


    <link href='https://unpkg.com/boxicons@2.0.7/css/boxicons.min.css' rel='stylesheet'>

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.3/font/bootstrap-icons.css">
    <title>Create Invited Guest Account</title>
</head>
<body>
<div th:replace="fragments/fragment.html :: side-bar-admin" />

<section class="content-sidebar-section">
    <div class="text">Create Invited Guest Account</div>  <br>
    <br>
    <br>
    <form th:action="@{/admin/dashboard/list-request-invited-speaker/detail/} + ${request.requestId} +@{/buat-akun}" method="POST">
        <div class="card-buat-akun-speaker">
            <div class="section-profile-icon">
                <div class="profile-icon">
                    <svg width="126" height="126" viewBox="0 0 126 126" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <g filter="url(#filter0_d_1_2)">
                            <circle cx="63" cy="59" r="59" fill="#F8F5EC"/>
                        </g>
                        <path fill-rule="evenodd" clip-rule="evenodd" d="M32.5415 58.9994C32.5415 42.1777 46.1782 28.541 62.9998 28.541C79.8215 28.541 93.4582 42.1777 93.4582 58.9994C93.4582 67.6367 89.8602 75.4373 84.0869 80.9777C78.6162 86.2278 71.183 89.4577 62.9998 89.4577C54.8167 89.4577 47.3834 86.2278 41.9128 80.9777C36.1395 75.4373 32.5415 67.6367 32.5415 58.9994ZM80.2354 78.7436C79.0141 75.0904 75.5625 72.4577 71.4998 72.4577H54.4998C50.4372 72.4577 46.9856 75.0904 45.7643 78.7436C50.3732 82.7706 56.3999 85.2077 62.9998 85.2077C69.5997 85.2077 75.6265 82.7706 80.2354 78.7436ZM62.9998 37.041C55.567 37.041 49.5415 43.0665 49.5415 50.4993C49.5415 57.9322 55.567 63.9577 62.9998 63.9577C70.4327 63.9577 76.4582 57.9322 76.4582 50.4993C76.4582 43.0665 70.4327 37.041 62.9998 37.041Z" fill="#F67280"/>
                        <defs>
                            <filter id="filter0_d_1_2" x="0" y="0" width="126" height="126" filterUnits="userSpaceOnUse" color-interpolation-filters="sRGB">
                                <feFlood flood-opacity="0" result="BackgroundImageFix"/>
                                <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0" result="hardAlpha"/>
                                <feOffset dy="4"/>
                                <feGaussianBlur stdDeviation="2"/>
                                <feComposite in2="hardAlpha" operator="out"/>
                                <feColorMatrix type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.25 0"/>
                                <feBlend mode="normal" in2="BackgroundImageFix" result="effect1_dropShadow_1_2"/>
                                <feBlend mode="normal" in="SourceGraphic" in2="effect1_dropShadow_1_2" result="shape"/>
                            </filter>
                        </defs>
                    </svg>
                </div>
            </div>
            <div class="section-input-field">
                <div class="input-container">
                    <div class="input-field masaBerlaku required">
                        <label for="masaBerlaku">Masa Berlaku</label>
                        <input style="margin-bottom: 0" type="datetime-local" class="input" id="masaBerlaku" name="masaBerlaku" required>
                    </div>
                </div>
            </div>
            <div class="section-button">
                <div class="create-button">
                    <button type="submit" id="button-create" class="button-primary mx-auto d-block">Buat Account</button>
                </div>
                <div class="return-button">
                    <a class="button-secondary" th:href="@{/admin/dashboard/list-request-invited-speaker/detail/} + ${request.requestId}">Back</a>
                </div>
            </div>
        </div>
    </form>
    <!-- Modal Successful Message -->
    <div class="bg-modal">
        <div class="form-modal-content">
            <div class="card-modal">
                <div class="header-modal">
                    <div class="close">
                        <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M19.5304 5.53033C19.8232 5.23744 19.8232 4.76256 19.5304 4.46967C19.2375 4.17678 18.7626 4.17678 18.4697 4.46967L12 10.9394L5.53033 4.46967C5.23744 4.17678 4.76256 4.17678 4.46967 4.46967C4.17678 4.76257 4.17678 5.23744 4.46967 5.53033L10.9394 12L4.4697 18.4697C4.1768 18.7626 4.1768 19.2374 4.4697 19.5303C4.76259 19.8232 5.23746 19.8232 5.53036 19.5303L12 13.0607L18.4697 19.5303C18.7626 19.8232 19.2374 19.8232 19.5303 19.5303C19.8232 19.2374 19.8232 18.7626 19.5303 18.4697L13.0607 12L19.5304 5.53033Z" fill="#1D3557"/>
                        </svg>
                    </div>
                </div>
                <div class="icon-modal">
                    <svg width="81" height="81" viewBox="0 0 81 81" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M77.9999 44.9653C75 59.9801 63.6907 74.1179 47.8216 77.277C40.082 78.82 32.0534 77.8792 24.879 74.5888C17.7046 71.2983 11.7501 65.8258 7.86336 58.9506C3.97663 52.0753 2.35583 44.1478 3.23172 36.2968C4.10762 28.4458 7.43557 21.0716 12.7417 15.2241C23.6251 3.22432 42.002 -0.0789206 57.0011 5.92698" stroke="#20AE5C" stroke-width="6" stroke-linecap="round" stroke-linejoin="round"/>
                        <path d="M27.0029 38.9591L42.002 53.9739L77.9999 14.9355" stroke="#20AE5C" stroke-width="6" stroke-linecap="round" stroke-linejoin="round"/>
                    </svg>
                </div>
                <div class="text-column-modal">
                    <div class="success-message">
                        <p>Berhasil!</p>
                    </div>
                    <div class="detail-message">
                        <p>Akun ini telah berhasil dibuat.</p>
                    </div>
                    <div class="success-message-desc">
                        <p>Anda dapat melihat detail akun ini di bagian Pengelolaan Akun.</p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<script>
    let sidebar = document.querySelector(".sidebar");
    let closeBtn = document.querySelector("#btn");

    closeBtn.addEventListener("click", ()=>{
        sidebar.classList.toggle("open");
        console.log("Button clicked!");
        console.log(sidebar.classList);
        menuBtnChange();
    });

    function menuBtnChange() {
        if(sidebar.classList.contains("open")){
            closeBtn.classList.replace("bx-menu", "bx-menu-alt-right");//replacing the icons class
        }else {
            closeBtn.classList.replace("bx-menu-alt-right","bx-menu");//replacing the icons class
        }
    }
</script>
<script>
    function togglePasswordVisibility() {
        var passwordInput = document.getElementById("password");
        var hideIcon = document.querySelector(".ikon-password.hide-password");
        var showIcon = document.querySelector(".ikon-password.show-password");

        if (passwordInput.type === "password") {
            passwordInput.type = "text";
            hideIcon.classList.replace('show', 'hide');
            showIcon.classList.replace('hide', 'show');
        } else {
            passwordInput.type = "password";
            hideIcon.classList.replace('hide', 'show');
            showIcon.classList.replace('show', 'hide');
        }
    }
</script>
<script>
    document.getElementById('button-create').addEventListener('click', function() {
        document.querySelector('.bg-modal').style.display = 'flex';
    });
</script>
<script>
    document.querySelector('.close').addEventListener('click', function() {
        document.querySelector('.bg-modal').style.display = 'none';
    });
</script>
</body>
</html>